<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__set__br__player__rsp__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_set_br_player_rsp_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__set__br__player__rsp__t_1af7a5d113605e3ce0902a4131ab2b1129" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_set_br_player_rsp_t::pdu</definition>
        <argsstring />
        <name>pdu</name>
        <briefdescription>
<para>pdu id </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1473" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1473" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__set__br__player__rsp__t_1a18bb36ede1b5d620fc4f95590e8fa1b9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__avrc_1ga05446fa1277163e92d7ffe155d72b072">wiced_bt_avrc_sts_t</ref></type>
        <definition>wiced_bt_avrc_sts_t wiced_bt_avrc_set_br_player_rsp_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>status </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1474" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1474" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__set__br__player__rsp__t_1a1882bcc8077f9e77438ffa3402cf6cec" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_set_br_player_rsp_t::opcode</definition>
        <argsstring />
        <name>opcode</name>
        <briefdescription>
<para>Op Code (copied from avrc_cmd.opcode by AVRC_BldMetaDataRsp user. </para>
        </briefdescription>
        <detaileddescription>
<para>invalid one to generate according to pdu) </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1475" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1475" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__set__br__player__rsp__t_1a5d0cf09048f0cb2a19f67bd7d111b983" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_avrc_set_br_player_rsp_t::uid_counter</definition>
        <argsstring />
        <name>uid_counter</name>
        <briefdescription>
<para>uid counter </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1476" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1476" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__set__br__player__rsp__t_1ac5a301cd484f6c82a76301bce7f90d1a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_avrc_set_br_player_rsp_t::num_items</definition>
        <argsstring />
        <name>num_items</name>
        <briefdescription>
<para>number of items in root folder path of player </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1477" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1477" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__set__br__player__rsp__t_1a01909268bbd298a8f39b7a842e43c9b1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_avrc_set_br_player_rsp_t::charset_id</definition>
        <argsstring />
        <name>charset_id</name>
        <briefdescription>
<para>character set id </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1478" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1478" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__set__br__player__rsp__t_1a270b61a9ebead328376987326fe4361d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_set_br_player_rsp_t::folder_depth</definition>
        <argsstring />
        <name>folder_depth</name>
        <briefdescription>
<para>folder depth </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1479" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1479" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__set__br__player__rsp__t_1ae994c2af16177981bafddd0a271391ff" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__name__t">wiced_bt_avrc_name_t</ref> *</type>
        <definition>wiced_bt_avrc_name_t* wiced_bt_avrc_set_br_player_rsp_t::p_folders</definition>
        <argsstring />
        <name>p_folders</name>
        <briefdescription>
<para>folder list of root path </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1480" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1480" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>SetBrowsedPlayer. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="285">
        <label>wiced_bt_avrc_set_br_player_rsp_t</label>
        <link refid="structwiced__bt__avrc__set__br__player__rsp__t" />
        <childnode refid="286" relation="usage">
          <edgelabel>p_folders</edgelabel>
        </childnode>
      </node>
      <node id="286">
        <label>wiced_bt_avrc_name_t</label>
        <link refid="structwiced__bt__avrc__name__t" />
      </node>
    </collaborationgraph>
    <location bodyend="1481" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1471" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1472" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__set__br__player__rsp__t_1a01909268bbd298a8f39b7a842e43c9b1" virt="non-virtual"><scope>wiced_bt_avrc_set_br_player_rsp_t</scope><name>charset_id</name></member>
      <member prot="public" refid="structwiced__bt__avrc__set__br__player__rsp__t_1a270b61a9ebead328376987326fe4361d" virt="non-virtual"><scope>wiced_bt_avrc_set_br_player_rsp_t</scope><name>folder_depth</name></member>
      <member prot="public" refid="structwiced__bt__avrc__set__br__player__rsp__t_1ac5a301cd484f6c82a76301bce7f90d1a" virt="non-virtual"><scope>wiced_bt_avrc_set_br_player_rsp_t</scope><name>num_items</name></member>
      <member prot="public" refid="structwiced__bt__avrc__set__br__player__rsp__t_1a1882bcc8077f9e77438ffa3402cf6cec" virt="non-virtual"><scope>wiced_bt_avrc_set_br_player_rsp_t</scope><name>opcode</name></member>
      <member prot="public" refid="structwiced__bt__avrc__set__br__player__rsp__t_1ae994c2af16177981bafddd0a271391ff" virt="non-virtual"><scope>wiced_bt_avrc_set_br_player_rsp_t</scope><name>p_folders</name></member>
      <member prot="public" refid="structwiced__bt__avrc__set__br__player__rsp__t_1af7a5d113605e3ce0902a4131ab2b1129" virt="non-virtual"><scope>wiced_bt_avrc_set_br_player_rsp_t</scope><name>pdu</name></member>
      <member prot="public" refid="structwiced__bt__avrc__set__br__player__rsp__t_1a18bb36ede1b5d620fc4f95590e8fa1b9" virt="non-virtual"><scope>wiced_bt_avrc_set_br_player_rsp_t</scope><name>status</name></member>
      <member prot="public" refid="structwiced__bt__avrc__set__br__player__rsp__t_1a5d0cf09048f0cb2a19f67bd7d111b983" virt="non-virtual"><scope>wiced_bt_avrc_set_br_player_rsp_t</scope><name>uid_counter</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>